#version 410

uniform float time;
uniform mat4 modelViewProjectionMatrix;
in vec4 position;



void main(){
    gl_Position = modelViewProjectionMatrix * position;
    
    
    
    float displacementHeight = 100;
    float displacementY = sin(time + (position.x / 100.0)) * displacementHeight;
    
    vec4 modifiedPosition = modelViewProjectionMatrix * position;
    modifiedPosition.y += displacementY;
    gl_Position = modifiedPosition;
}