layout(triangles) in;
layout(triangle_strip) out;
layout(max_vertices = 3) out;

uniform mat4 projection;
uniform mat4 modelview;

out vec3 weight;

void main() {
    weight = vec3(1.0, 0.0, 0.0);
    gl_Position = projection * modelview * gl_in[0].gl_Position;
    EmitVertex();
    
    weight = vec3(0.0, 1.0, 0.0);
    gl_Position = projection * modelview * gl_in[1].gl_Position;
    EmitVertex();
    
    weight = vec3(0.0, 0.0, 1.0);
    gl_Position = projection * modelview * gl_in[2].gl_Position;
    EmitVertex();
    
    EndPrimitive();
}